import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// import $ from 'jquery';
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import GoEasy from "goeasy";
import IMService from "./assets/lib/imservice";

Vue.use(ElementUI);

import common from './common'
Vue.prototype.$common = common;


const goEasy = GoEasy.getInstance({
  host:'hangzhou.goeasy.io',//应用所在的区域地址: [hangzhou.goeasy.io, 新加坡暂不支持IM，敬请期待]
  appkey: 'BC-b1e650ef62484e08826652d48242b06b',// common key
  modules:["im"]
});

Vue.prototype.GoEasy = GoEasy;
Vue.prototype.goEasy = goEasy;
Vue.prototype.service = new IMService(goEasy,GoEasy);

Vue.prototype.formatDate = function (t) {
  t = t || Date.now();
  let time = new Date(t);
  let str = time.getMonth() < 9 ? ('0' + (time.getMonth() + 1)) : (time.getMonth() + 1);
  str += '-';
  str += time.getDate() < 10 ? ('0' + time.getDate()) : time.getDate();
  str += ' ';
  str += time.getHours();
  str += ':';
  str += time.getMinutes() < 10 ? ('0' + time.getMinutes()) : time.getMinutes();
  return str;
};

router.beforeEach((to, from, next) => {
  if (to.meta.title) {
    document.title = to.meta.title
  }
  next()
})

// 跳转后返回顶部
router.afterEach((to,from,next) => {
  window.scrollTo(0,0);
})

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
