import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from '../views/Login.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: "/",
    name: "login",
    component:Login,
    meta: {
      title: '登录'
    }
  },

  {
    path: "/home",
    name: "Home",
    component:resolve => require(['../views/Home.vue'],resolve),
    meta: {                                    
      requiresAuth: true      // 要求验证的页面,在此情况下其子页面也会被验证.
    },
    children: [
      {
        path: '/home/home',
        component:resolve => require(['../views/usercontrol/home.vue'],resolve),
        meta: { 
        title: '首页'},
      },
      // 用户管理
      {
        path: '/home/memberlist',
        component:resolve => require(['../views/usercontrol/Memberlist.vue'],resolve),
        meta: { 
        title: '会员列表'},
      },
      {
        path: '/home/Memberlistpar/:id',
        component:resolve => require(['../views/particulars/Memberlistpar.vue'],resolve),
        meta: { title: '会员列表详情页'},
      },
      {
        path: '/home/merchantlist',
        component:resolve => require(['../views/usercontrol/Merchantlist.vue'],resolve),
        meta: {title: '商家列表' }
      },
      {
        path: '/home/merchantlistpar/:id',
        component:resolve => require(['../views/particulars/Merchantlistpar.vue'],resolve),
        meta: { title: '商家列表详情页'},
      },
      // 招聘管理
      {
        path: '/home/slideshow',
        component:resolve => require(['../views/invite/Slideshow.vue'],resolve),
        meta: { title: '轮播图'}
      },
      {
        path: '/home/slideshowpar/:id',
        component:resolve => require(['../views/particulars/Slideshowpar.vue'],resolve),
        meta: { title: '轮播图详情'}
      },
      {
        path: '/home/auditservepar/:id',
        component:resolve => require(['../views/particulars/Auditservepar.vue'],resolve),
        meta: { title: '待审核招聘详情'},
      },
      {
        path: '/home/issueQuantity',
        component:resolve => require(['../views/invite/IssueQuantity.vue'],resolve),
        meta: { title: '发布次数管理'}
      },

      {
        path: '/home/lookinvite',
        component:resolve => require(['../views/invite/Lookinvite.vue'],resolve),
        meta: { title: '查看招聘信息'}
      },
      {
        path: '/home/lookinvitepar/:id',
        component:resolve => require(['../views/particulars/Lookinvitepar.vue'],resolve),
        meta: { title: '招聘信息详情'}
      },

      {
        path: '/home/activity',
        component:resolve => require(['../views/invite/Activity.vue'],resolve),
        meta: { title: '活动状态列表'}
      },
      {
        path: '/home/activitypar/:id',
        component:resolve => require(['../views/particulars/Activitypar.vue'],resolve),
        meta: { title: '活动详情'}
      },
      {
        path: '/home/baoming/:id',
        component:resolve => require(['../views/particulars/Baoming.vue'],resolve),
        meta: { title: '报名人员'}
      },
      {
        path: '/home/issueactivity',
        component:resolve => require(['../views/invite/Issueactivity.vue'],resolve),
        meta: { title: '发布活动'}
      },

     // 统计
     {
      path: '/home/statistics',
      component:resolve => require(['../views/filelesser/statistics/Statistics.vue'],resolve),
      meta: { title: '统计'}
    },
     // 订单管理
     {
      path: '/home/orderlist',
      component:resolve => require(['../views/filelesser/orderlist/Orderlist.vue'],resolve),
      meta: { title: '订单列表'}
    },
    {
      path: '/home/orderlistpar/:id',
      component:resolve => require(['../views/filelesser/orderlist/Orderlistpar.vue'],resolve),
      meta: { title: '订单列表详情'}
    },
    {
      path: '/home/payment',
      component:resolve => require(['../views/filelesser/orderlist/Payment.vue'],resolve),
      meta: { title: '支付'}
    },
     // 服务管理
     {
      path: '/home/serve',
      component:resolve => require(['../views/filelesser/serve/Serve.vue'],resolve),
      meta: { title: '服务列表'}
    },
    {
      path: '/home/servepar/:id',
      component:resolve => require(['../views/filelesser/serve/Servepar.vue'],resolve),
      meta: { title: '编辑服务列表'}
    },
    {
      path: '/home/newserve',
      component:resolve => require(['../views/filelesser/serve/Newserve.vue'],resolve),
      meta: { title: '发布服务列表'}
    },
     // 评价管理
     {
      path: '/home/evaluate',
      component:resolve => require(['../views/filelesser/evaluate/Evaluate.vue'],resolve),
      meta: { title: '评价列表'}
    },
    {
      path: '/home/evaluatepar/:id',
      component:resolve => require(['../views/filelesser/evaluate/Evaluatepar.vue'],resolve),
      meta: { title: '评价详情'}
    },
    {
      path: '/home/evaluatepars/:id',
      component:resolve => require(['../views/filelesser/evaluate/Evaluatepars.vue'],resolve),
      meta: { title: '评价详情'}
    },
     // 投诉管理
     {
      path: '/home/complaint',
      component:resolve => require(['../views/filelesser/complaint/Complaint.vue'],resolve),
      meta: { title: '投诉列表'}
    },
    {
      path: '/home/complaintpar/:id',
      component:resolve => require(['../views/filelesser/complaint/Complaintpar.vue'],resolve),
      meta: { title: '投诉详情'}
    },
     // 分销商管理
     {
      path: '/home/distributor',
      component:resolve => require(['../views/filelesser/distributor/Distributor.vue'],resolve),
      meta: { title: '分销商列表'}
    },
    {
      path: '/home/distributorpar/:id',
      component:resolve => require(['../views/filelesser/distributor/Distributorpar.vue'],resolve),
      meta: { title: '分销商详情'}
    },
     // 通知管理
     {
      path: '/home/inform',
      component:resolve => require(['../views/filelesser/inform/Inform.vue'],resolve),
      meta: { title: '通知列表'}
    },
     {
      path: '/home/newinform',
      component:resolve => require(['../views/filelesser/inform/Newinform.vue'],resolve),
      meta: { title: '发布通知'}
    },
     {
      path: '/home/dialogue',
      component:resolve => require(['../views/filelesser/inform/Dialogue.vue'],resolve),
      meta: { title: '对话列表'}
    },
      // 设置
    {
      path: '/home/feedback',
      component:resolve => require(['../views/set/Feedback.vue'],resolve),
      meta: { 
      title: '帮助反馈列表'},
    },
    {
      path: '/home/feedbackpar/:id',
      component:resolve => require(['../views/particulars/Feedbackpar.vue'],resolve),
      meta: { title: '反馈详情'},
    },
    {
      path: '/home/newmessage',
      component:resolve => require(['../views/set/Newmessage.vue'],resolve),
      meta: { 
      title: '发布平台信息'},
    },
    {
      path: '/home/insurance',
      component:resolve => require(['../views/set/Insurance.vue'],resolve),
      meta: { 
      title: '小优保障'},
    },
    {
      path: '/home/jurisdiction',
      component:resolve => require(['../views/set/Jurisdiction.vue'],resolve),
      meta: { 
      title: '权限开通'},
    },
    {
      path: '/home/jurisdictionpar',
      component:resolve => require(['../views/particulars/Jurisdictionpar.vue'],resolve),
      meta: { title: '修改权限'},
    },
    {
      path: '/home/issuemessage',
      component:resolve => require(['../views/set/Issuemessage.vue'],resolve),
      meta: { title: '发布平台信息'}
    },
     // 修改密码
     {
       path: '/home/resetSelfPwd',
       component:resolve => require(['../views/particulars/ResetSelfPwd.vue'],resolve),
       meta: { title: '修改密码'}
     },
  
     //  聊天
     {
      path: '/home/conversations',
      name: 'Conversations',
      component:resolve => require(['../views/chat/conversations/conversations.vue'],resolve),
      meta: {
        title: '会话列表'
      }
    },
     {
      path: '/home/privateChat',
      name: 'PrivateChat',
      component:resolve => require(['../views/chat/privateChat/privateChat.vue'],resolve),
      meta: {
        title: '会话'
      }
    },
    {
      path: '/home/customMessageForm',
      name: 'customMessageForm',
      component:resolve => require(['../views/chat/customMessageForm/customMessageForm.vue'],resolve),
      meta: {
        title: '会话'
      }
    },
    {
      path: '/home/ChatMessage',
      name: 'ChatMessage',
      component:resolve => require(['../views/chat/chat-component/ChatMessage.vue'],resolve),
      meta: {
        title: '会话'
      }
    },
    {
      path: '/home/SendBox',
      name: 'SendBox',
      component:resolve => require(['../views/chat/chat-component/SendBox.vue'],resolve),
      meta: {
        title: '会话'
      }
    },
  
    {
      path: '/home/groupChat',
      name: 'groupChat',
      component:resolve => require(['../views/chat/groupChat/groupChat.vue'],resolve),
      meta: {
        title: '会话'
      }
    },

    {
      path: '/home/operation',
      name: 'Operation',
      component:resolve => require(['../views/set/Operation.vue'],resolve),
      meta: {
        title: '新手指南'
      }
    },
  ],redirect:'/home/home'
  },


  {
    path: '/about',
    name: 'About',
    component:resolve => require(['../views/About.vue'],resolve),
    meta: {
      title: '快来优'
    }
  },
  
  {
    path: '/images',
    name: 'Images',
    component:resolve => require(['../views/Images.vue'],resolve),
    meta: {
      title: '快来优'
    }
  },
  {
    path: '/slide',
    name: 'Slide',
    component:resolve => require(['../views/Slide.vue'],resolve),
    meta: {
      title: '快来优'
    }
  },
  {
    path: '/popup',
    name: 'popup',
    component:resolve => require(['../views/popup.vue'],resolve),
    meta: {
      title: '新消息'
    }
  },
]
// const router = new VueRouter({
//   linkActiveClass:'active',
//   mode:'history',
//   routes
// })

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})



export default router
